# API Responses

## Meta-Data

Unless otherwise specified, responses from KORE will have a `meta-data {}` Object.

| Meta-Data Property Name | Example                                                                                                       | Description                            |
| ----------------------- | ------------------------------------------------------------------------------------------------------------- | -------------------------------------- |
| count                   | 35                                                                                                            | Total size of the result               |
| page\_size              | 10                                                                                                            | How many items per page                |
| page\_number            | 2                                                                                                             | Page offset (starting from which page) |
| previous\_page\_url     | <https://client.api.korewireless.com/v1/clients?page_size=10&page_number=1&account_id=CO1686726qunzorx123456> | Previous page URL in the client list.  |
| next\_page\_url         | <https://client.api.korewireless.com/v1/clients?page_size=10&page_number=3&account_id=CO1686726qunzorx123456> | Next page URL in the client list.      |

### Paging Information

If the response to your API request is long, the API returns a partial result in a single 'page.' You can use the meta-data object to page through the other pages.

## Data Formats

### Dates & Times

All dates and times are GMT. For example, `12:49 PM EST on Tuesday, May 14th, 2024`, would be `4:49 PM GMT on Tuesday, May 14th, 2024`.

## Errors

KORE employs standard HTTP response codes to indicate the success or failure of an API request. Successes are indicated through `2xx` codes, while failures are denoted by `4xx` (client errors) or `5xx` (server errors) codes. In addition to the HTTP response codes, KORE provides an additional layer of detail through KORE's own error codes.

If there is an error, unless otherwise specified, KORE will respond with the following properties:

| Property Name | Data Type | Description                                                                  |
| ------------- | --------- | ---------------------------------------------------------------------------- |
| status        | INT       | HTTP Status Code                                                             |
| message       | String    | A more descriptive message, taken from                                       |
| code          | INT       | (Conditional) An error code to find help for the exception, taken from       |
| more\_info    | String    | (Conditional) The URL of KORE’s documentation for the error code, taken from |

Example:

```json
{
  "status": 400,
  "message": "Super SIM registration failed due to Internal Error",
  "code": 83000,
  "more_info": "https:\/\/docs.korewireless.com\/errors\/83000"
}
```

View the [error dictionary](https://docs.korewireless.com/errors/) for more details on all of KORE's errors, possible causes, and possible solutions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.korewireless.com/developers/api-management/api-responses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
